Package net.shibboleth.idp.saml.metadata.impl

# Class UIInfoNodeProcessor

java.lang.Object
net.shibboleth.idp.saml.metadata.impl.UIInfoNodeProcessor

All Implemented Interfaces:
  `MetadataNodeProcessor`

@NotThreadSafe public class UIInfoNodeProcessor extends Object implements MetadataNodeProcessor
An implementation of `MetadataNodeProcessor` which processes any `UIInfo`s into an `IdPUIInfo` and processes any `AttributeConsumingService` into an `ACSUIInfo`.

## Constructor Summary

Constructors
Constructor
Description
`UIInfoNodeProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(XMLObject metadataNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UIInfoNodeProcessor

public UIInfoNodeProcessor()

## Method Details

### process

public void process(@Nonnull XMLObject metadataNode) throws FilterException

Specified by:
  `process` in interface `MetadataNodeProcessor`
Throws:
  `FilterException`